pappso::MsRunDataSetTreeNodeVisitorInterface Class Referenceabstract

`#include <msrundatasettreevisitor.h>`

## Public Member Functions

virtual bool | visit (const MsRunDataSetTreeNode &node)=0
virtual bool | shouldStop () const =0
virtual void | setNodesToProcessCount (std::size_t)=0

## Detailed Description

Definition at line 23 of file msrundatasettreevisitor.h.

## Member Function Documentation

## setNodesToProcessCount()

virtual void pappso::MsRunDataSetTreeNodeVisitorInterface::setNodesToProcessCount | ( | std::size_t |  | ) |

pure virtual

Referenced by pappso::MsRunDataSetTreeNode::accept(), and pappso::MsRunDataSetTree::accept().

## shouldStop()

virtual bool pappso::MsRunDataSetTreeNodeVisitorInterface::shouldStop | ( |  | ) | const

pure virtual

Referenced by pappso::MsRunDataSetTree::accept().

## visit()

virtual bool pappso::MsRunDataSetTreeNodeVisitorInterface::visit | ( | const MsRunDataSetTreeNode & | node | ) |

pure virtual

Referenced by pappso::MsRunDataSetTreeNode::accept().

The documentation for this class was generated from the following file:

- pappsomspp/msrun/msrundatasettreevisitor.h